cURL
curl -X PATCH https://api.aiql.io/patterns/ptn_6e4c/mapping/{entryId} \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"id": "<string>",
"slot_kind": "<string>",
"slot_key": "<string>",
"status": "<string>",
"slot_name": "<string>",
"required": false,
"target_name": "<string>",
"target_names": [
"<string>"
],
"confidence": 123,
"rationale": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patterns
Update Pattern Mapping
PATCH
/
patterns
/
{id}
/
mapping
/
{entryId}
cURL
curl -X PATCH https://api.aiql.io/patterns/ptn_6e4c/mapping/{entryId} \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"id": "<string>",
"slot_kind": "<string>",
"slot_key": "<string>",
"status": "<string>",
"slot_name": "<string>",
"required": false,
"target_name": "<string>",
"target_names": [
"<string>"
],
"confidence": 123,
"rationale": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Body
application/json